Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Class InvalidDomainNameException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.novell.service.session.SessionException
                        |
                        +--com.novell.service.session.InvalidDomainNameException

public class InvalidDomainNameException
extends SessionException
implements HasRootCauses

Thrown when a passed-in name is not valid in the context of the method throwing the exception.

See Also:
  Serialized Form

Constructor Summary
`InvalidDomainNameException(java.lang.String s)` Constructs an InvalidDomainNameException with the specified detail message.
`InvalidDomainNameException(java.lang.String s, java.lang.Throwable rootException)` Constructs an InvalidDomainNameException with a specified detail message and a root-cause exception.

Method Summary
`java.util.Enumeration` | `getRootCauses()` Retrieves the root cause exception.
`void` | `setRootCauses(java.util.Vector rootCauses)` Sets the root causes for this exception.
`java.lang.String` | `toString()` Returns a short description of this throwable object.

Methods inherited from class com.novell.service.session.SessionException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDomainNameException

    public InvalidDomainNameException(java.lang.String s)

  Constructs an InvalidDomainNameException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - The detail message describing this exception.

### InvalidDomainNameException

    public InvalidDomainNameException(java.lang.String s,
                                      java.lang.Throwable rootException)

  Constructs an InvalidDomainNameException with a specified detail message and a root-cause exception. The root cause exception can be retrieved using getRootCause() method.
  Parameters:
    `s` - The detail message describing the exception.
    `rootException` - The root cause exception.

Method Detail

### getRootCauses

    public java.util.Enumeration getRootCauses()

  Retrieves the root cause exception. It is inherited from HasRootCauses.
  Specified by:
    getRootCauses in interface HasRootCauses
  Returns:
    Enumeration The root cause exception.

### setRootCauses

    public void setRootCauses(java.util.Vector rootCauses)

  Sets the root causes for this exception.

### toString

    public java.lang.String toString()

  Returns a short description of this throwable object.
  Returns:
    A string representation of this Throwable.
  Overrides:
    toString in class SessionException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD